Ryzom - Bug # 944

Status: Closed Priority: Normal
Author: aquiles Category: NeL: General
Created: 05/27/2010 Assignee: kervala
Updated: 05/28/2010 Due date:

Subject: Bloom for non NV Cards on OpenGL

Description

Hello,

as my client didn't want to let me activate bloom i digged a little bit into the opengl_driver and found out that he asks for the
GL_NV_texture_rectangle extension. After some research it seems that GL_EXT_texture_rectangle is equal for non NV Cards so i
tried to activate this extension and it worked :)

So here is a little patch for it.
Please note that i have no experience with OpenGL and don't know if i did everything the right way.

Greetz,
aquiles

History

#1 - 05/28/2010 03:17 pm - aquiles
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r231.

#2 - 05/28/2010 03:18 pm - kervala

- Category set to NeL: General

- Assignee set to kervala

- Target version set to Version 0.8.0

| just had to change the label to "Fixed: #944 Bloom for non NV Cards on OpenGL" so it can close the associated issue :)

Thanks a lot for your patch :)

#3 - 05/28/2010 05:25 pm - vI

- Status changed from Resolved to Closed

Files

bloomForNonNVCardsOnOpenGL.patch 3.1 kB 05/27/2010 aquiles
